use camino::Utf8Path;
use color_eyre::Result;
use serde::Deserialize;
use std::fs;
use std::os::unix::net::UnixListener;
use tide::Request;
use tokio::task::JoinHandle;

#[derive(Deserialize)]
struct NotifyBody {
    pub site_archive_url: String,
}

pub async fn start_api_server(socket_path: &Utf8Path) -> Result<()> {
    fs::remove_file(&socket_path)?;
    let listener = UnixListener::bind(&socket_path)?;
    let mut server = tide::new();
    server
        .at("/notify")
        .post(|req: Request<()>| async { Ok("hey") });

    server.bind(listener).await?;
    Ok(())
}
